<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->

    <title>task-manager-client: user</title>

    <!-- Mobile viewport optimized: j.mp/bplateviewport -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">

    <!--custom css for these pages-->
    <link rel="stylesheet" href="css/enunciate.css">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body data-spy="scroll" data-target="#apinav">

<nav class="navbar navbar-inverse navbar-fixed-top">
    <div class="container-fluid">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a class="navbar-brand" href="index.html">task-manager-client: user</a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
            <ul class="nav navbar-nav navbar-right">
                <li><a href="services.html">Services</a></li>
                <li><a href="data.html">Data Types</a></li>
                <li><a href="downloads.html">Files and Libraries</a></li>
            </ul>
        </div>
    </div>
</nav>

<div class="container-fluid">
    <div class="row">
        <div class="col-sm-3 col-md-2 sidebar" id="apinav">
            <ul class="nav nav-sidebar">
                <li class="text-right"><a href="#top"><small>Back to Top</small></a></li>
            </ul>
        </div>

        <div class="col-sm-9 col-sm-offset-3 col-md-10 col-md-offset-2 main">
            <ol class="breadcrumb" id="top">
                <li class="active dropdown"><a href="index.html">Home</a></li>
                <li class="active dropdown"><a href="syntax_xml.html">XML</a></li>
                <li class="dropdown"><a href="xml_ns0_user.html">user</a></li>
            </ol>

            <h1 class="page-header">user <small>Data Type</small></h1>

            <p>
            <p>Java class for user complex type.

            <p>The following schema fragment specifies the expected content contained within this class.

            <pre>
 &lt;complexType name="user"&gt;
   &lt;complexContent&gt;
     &lt;extension base=" <a target="_blank" href="http://endpoint.tm.amster.ru/}abstractEntity">http://endpoint.tm.amster.ru/}abstractEntity</a>"&gt;
       &lt;sequence&gt;
         &lt;element name="email" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="fistName" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="lastName" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="locked" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}boolean">http://www.w3.org/2001/XMLSchema}boolean</a>" minOccurs="0"/&gt;
         &lt;element name="login" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="middleName" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="passwordHash" type=" <a target="_blank" href="http://www.w3.org/2001/XMLSchema}string">http://www.w3.org/2001/XMLSchema}string</a>" minOccurs="0"/&gt;
         &lt;element name="role" type=" <a target="_blank" href="http://endpoint.tm.amster.ru/}role">http://endpoint.tm.amster.ru/}role</a>" minOccurs="0"/&gt;
       &lt;/sequence&gt;
     &lt;/extension&gt;
   &lt;/complexContent&gt;
 &lt;/complexType&gt;
 </pre>
            </p>

            <dl class="dl-horizontal">
                <dt>Namespace</dt>
                <dd><code>http://endpoint.tm.amster.ru/</code></dd>
                <dt>Schema</dt>
                <dd><a href="ns0.xsd">ns0.xsd</a></dd>
            </dl>

            <table class="table datatype-properties">
                <caption>Properties</caption>
                <thead>
                <tr>
                    <th>name</th>
                    <th>data type</th>
                    <th>type</th>
                    <th>namespace</th>
                    <th>min/max occurs</th>
                    <th>description</th>
                </tr>
                </thead>
                <tbody>
                <tr>
                    <td><span id="prop-email" class="property-name">email</span>
                    </td>
                    <td>  <span class="datatype-reference">string
</span>
                    </td>
                    <td>  <span class="property-type">element
</span>
                    </td>
                    <td>  <span class="property-namespaceInfo">
</span>
                    </td>
                    <td>  <span class="property-minMaxOccurs">0/1
</span>
                    </td>
                    <td><span class="property-description">&nbsp;</span>
                    </td>
                </tr>
                <tr>
                    <td><span id="prop-fistName" class="property-name">fistName</span>
                    </td>
                    <td>  <span class="datatype-reference">string
</span>
                    </td>
                    <td>  <span class="property-type">element
</span>
                    </td>
                    <td>  <span class="property-namespaceInfo">
</span>
                    </td>
                    <td>  <span class="property-minMaxOccurs">0/1
</span>
                    </td>
                    <td><span class="property-description">&nbsp;</span>
                    </td>
                </tr>
                <tr>
                    <td><span id="prop-lastName" class="property-name">lastName</span>
                    </td>
                    <td>  <span class="datatype-reference">string
</span>
                    </td>
                    <td>  <span class="property-type">element
</span>
                    </td>
                    <td>  <span class="property-namespaceInfo">
</span>
                    </td>
                    <td>  <span class="property-minMaxOccurs">0/1
</span>
                    </td>
                    <td><span class="property-description">&nbsp;</span>
                    </td>
                </tr>
                <tr>
                    <td><span id="prop-locked" class="property-name">locked</span>
                    </td>
                    <td>  <span class="datatype-reference">boolean
</span>
                    </td>
                    <td>  <span class="property-type">element
</span>
                    </td>
                    <td>  <span class="property-namespaceInfo">
</span>
                    </td>
                    <td>  <span class="property-minMaxOccurs">0/1
</span>
                    </td>
                    <td><span class="property-description">&nbsp;</span>
                    </td>
                </tr>
                <tr>
                    <td><span id="prop-login" class="property-name">login</span>
                    </td>
                    <td>  <span class="datatype-reference">string
</span>
                    </td>
                    <td>  <span class="property-type">element
</span>
                    </td>
                    <td>  <span class="property-namespaceInfo">
</span>
                    </td>
                    <td>  <span class="property-minMaxOccurs">0/1
</span>
                    </td>
                    <td><span class="property-description">&nbsp;</span>
                    </td>
                </tr>
                <tr>
                    <td><span id="prop-middleName" class="property-name">middleName</span>
                    </td>
                    <td>  <span class="datatype-reference">string
</span>
                    </td>
                    <td>  <span class="property-type">element
</span>
                    </td>
                    <td>  <span class="property-namespaceInfo">
</span>
                    </td>
                    <td>  <span class="property-minMaxOccurs">0/1
</span>
                    </td>
                    <td><span class="property-description">&nbsp;</span>
                    </td>
                </tr>
                <tr>
                    <td><span id="prop-passwordHash" class="property-name">passwordHash</span>
                    </td>
                    <td>  <span class="datatype-reference">string
</span>
                    </td>
                    <td>  <span class="property-type">element
</span>
                    </td>
                    <td>  <span class="property-namespaceInfo">
</span>
                    </td>
                    <td>  <span class="property-minMaxOccurs">0/1
</span>
                    </td>
                    <td><span class="property-description">&nbsp;</span>
                    </td>
                </tr>
                <tr>
                    <td><span id="prop-role" class="property-name">role</span>
                    </td>
                    <td>  <span class="datatype-reference">string
</span>
                    </td>
                    <td>  <span class="property-type">element
</span>
                    </td>
                    <td>  <span class="property-namespaceInfo">
</span>
                    </td>
                    <td>  <span class="property-minMaxOccurs">0/1
</span>
                    </td>
                    <td><span class="property-description">&nbsp;</span>
                    </td>
                </tr>
                </tbody>
                <tr>
                    <td colspan="6"><h5 class="text-muted">Properties inherited from <a
                            href="xml_ns0_abstractEntity.html">abstractEntity</a></h5></td>
                </tr>
                <tbody>
                <tr>
                    <td><span class="property-name">id</span></td>
                    <td><span class="datatype-reference">string
</span></td>
                    <td><span class="property-type">element
</span></td>
                    <td><span class="property-namespaceInfo">
</span></td>
                    <td><span class="property-minMaxOccurs">0/1
</span></td>
                    <td><span class="property-description">&nbsp;</span></td>
                </tr>
                </tbody>
            </table>

            <p class="lead">Example</p>

            <pre class="prettyprint language-xml example">&lt;u----- xmlns=&quot;http://endpoint.tm.amster.ru/&quot;&gt;
  &lt;email xmlns=&quot;&quot;&gt;...&lt;/email&gt;
  &lt;fistName xmlns=&quot;&quot;&gt;...&lt;/fistName&gt;
  &lt;lastName xmlns=&quot;&quot;&gt;...&lt;/lastName&gt;
  &lt;locked xmlns=&quot;&quot;&gt;...&lt;/locked&gt;
  &lt;login xmlns=&quot;&quot;&gt;...&lt;/login&gt;
  &lt;middleName xmlns=&quot;&quot;&gt;...&lt;/middleName&gt;
  &lt;passwordHash xmlns=&quot;&quot;&gt;...&lt;/passwordHash&gt;
  &lt;role xmlns=&quot;&quot;&gt;...&lt;/role&gt;
  &lt;id xmlns=&quot;&quot;&gt;...&lt;/id&gt;
&lt;/u-----&gt;
</pre>

            <footer class="footer">
                <div class="container">
                    <p class="text-muted">Generated by <a href="http://enunciate.webcohesion.com">Enunciate</a>.</p>
                </div>
            </footer>

        </div>
    </div>
</div>


<!-- JavaScript placed at the end of the document so the pages load faster. -->
<script src="https://code.jquery.com/jquery-1.12.2.min.js"></script>

<!-- Bootstrap core JavaScript
================================================== -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

<!-- prettify code blocks. see http://code.google.com/p/google-code-prettify/ -->
<script src="https://cdn.jsdelivr.net/gh/google/code-prettify@master/loader/run_prettify.js"
        type="text/javascript"></script>
<script>
    $(function() {
      $(".clickable-row").click(function() {
        window.document.location = $(this).data("href");
      });

      $('[data-toggle="tooltip"]').tooltip()
    });

</script>

</body>
</html>
